<template>
  <v-data-table
    :headers="headers"
    :items="orders.data"
    class="elevation-1 ma-5"
  >
    <template v-slot:top>
      <v-toolbar
        flat
      >
        <v-toolbar-title>ออเดอร์สินค้า(Product Order)</v-toolbar-title>
        <v-divider
          class="mx-4"
          inset
          vertical
        ></v-divider>
      </v-toolbar>
    </template>

    <template v-slot:[`item.orderList`]="{ item }">
      <!-- {{ item }} -->
      <span v-for="(i, index) in item.orderList" :key="index">
        <div class="ma-3">
          <b>ชื่อสินค้า:</b>  {{ i.product_name }}
          <b>ราคา:</b> {{ i.price }}
          <b>จำนวน:</b> {{ i.amount }}
          <b>รวม:</b> {{ i.sum }}   
        </div>
      </span>
    </template>

    <template v-slot:no-data>
      <div class="pa-5">
      <h1>ไม่มีรายการสั่งซื้อสินค้า!</h1>
      <v-btn
        color="error"
        class="ma-5"
        href="/"
      >
        กลับไปยังหน้าหลัก
      </v-btn>
      </div>
    </template>
  </v-data-table>
</template>

<script>
  export default {
    data: () => ({
      dialog: false,
      dialogDelete: false,
      headers: [
        // { text: 'ลำดับ', value: 'num' },
        {
          text: 'ชื่อผู้สั่งซื้อ',
          align: 'start',
          sortable: false,
          value: 'buyerName',
        },
        { text: 'รายการสั่งซื้อ', value: 'orderList', sortable: false},
        { text: 'ราคารวมทั้งหมด', value: 'tolalPrice' }
      ],
      orders: [],
      n: []
    }),

    computed: {
      formTitle () {
        return this.editedIndex === -1 ? 'New Item' : 'Edit Item'
      },
    },

    watch: {
      dialog (val) {
        val || this.close()
      },
      dialogDelete (val) {
        val || this.closeDelete()
      },
    },

    created () {
      this.initialize()
    },

    methods: {
      initialize () {
        this.axios.get('http://localhost:3000/orders').then((response) => {
         this.orders = response.data
         console.log(response)
        //  for (let i =1; i<=this.orders.length; i++){
        //   this.n[i] = i
        //   console.log(this.n[i])
        //  }
        })
      },

      editItem (item) {
        this.editedIndex = this.orders.indexOf(item)
        this.editedItem = Object.assign({}, item)
        this.dialog = true
      },

      deleteItem (item) {
        this.editedIndex = this.orders.indexOf(item)
        this.editedItem = Object.assign({}, item)
        this.dialogDelete = true
      },

      deleteItemConfirm () {
        this.orders.splice(this.editedIndex, 1)
        this.closeDelete()
      },

      close () {
        this.dialog = false
        this.$nextTick(() => {
          this.editedItem = Object.assign({}, this.defaultItem)
          this.editedIndex = -1
        })
      },

      closeDelete () {
        this.dialogDelete = false
        this.$nextTick(() => {
          this.editedItem = Object.assign({}, this.defaultItem)
          this.editedIndex = -1
        })
      },

      save () {
        if (this.editedIndex > -1) {
          Object.assign(this.orders[this.editedIndex], this.editedItem)
        } else {
          this.orders.push(this.editedItem)
        }
        this.close()
      },
    },
  }
</script>

<style>

</style>
